Page 4 of 7 FirstFirst 1234567 LastLast
Results 61 to 80 of 127
  1. oxeneers's Avatar
    Posts
    40 Posts
    Global Posts
    147 Global Posts
    #61  
    Was trying to install this through Preware, but it kept failing. Read this thread, realized I should've removed the version 2 (duh) and then it worked. Thanks to you all. You are so amazing.
  2. #62  
    Weird. I had 4x4 v3 already installed and today, I saw there was an update for it on Preware, tried to upgrade it and received a message telling me to uninstall and then reinstall, which I expected. So I uninstalled it, manually rebooted and went back into Preware only to find v1 and v2 are there, but v3 isn't. Huh???
  3. #63  
    Hey all,
    I seem to be the only one having this issue, haven't seen it in an other threads.
    I cannot install certain patches i.e. 4X4 icon patch, I recieve the following message...

    Error: An error occurred while attempting to run /tmp/ipkgScript.sh

    Patching file usr/lib/luna/system/luna-applauncher/app/controllers/launcher-assistant.jsjsjs
    Hunk #1 FAILED at 10.
    Hunk #2 FAILED at 89.
    Hunk #3 succeeded at 382 (offset 58 lines).
    Hunk #4 FAILED at 497.
    3 out of 4 hunks FAILED – saving rejects to file usr/lib/luna/system/luna-applauncher/app/controllers/launcher.jsjsjs.$rej$
    patching file usr/lib/luna/system/luna-applauncher/stylesheets/launcher.css
    Hunk #1 succeeded at 116 (offset – 5 lines).
    Removing package org.webosinternals.patches.app-launcher-4X4-icons-v3 from root…
    (offline root mode: not running org.webosinternals.patches.app-launcher-4X4-icons-v3.prerm)

    I am running the latest version of WebOS QI but am running the older 1.1.0 OS on my Pre. Do I need to update to 1.2.1?, I really hate the EAS security sreen lock feature. Do I need to root my pre? Any thoughts? Thanks.
  4.    #64  
    Quote Originally Posted by bdixon21 View Post
    Hey all,
    I seem to be the only one having this issue, haven't seen it in an other threads.
    I cannot install certain patches i.e. 4X4 icon patch, I recieve the following message...

    Error: An error occurred while attempting to run /tmp/ipkgScript.sh

    Patching file usr/lib/luna/system/luna-applauncher/app/controllers/launcher-assistant.jsjsjs
    Hunk #1 FAILED at 10.
    Hunk #2 FAILED at 89.
    Hunk #3 succeeded at 382 (offset 58 lines).
    Hunk #4 FAILED at 497.
    3 out of 4 hunks FAILED – saving rejects to file usr/lib/luna/system/luna-applauncher/app/controllers/launcher.jsjsjs.$rej$
    patching file usr/lib/luna/system/luna-applauncher/stylesheets/launcher.css
    Hunk #1 succeeded at 116 (offset – 5 lines).
    Removing package org.webosinternals.patches.app-launcher-4X4-icons-v3 from root…
    (offline root mode: not running org.webosinternals.patches.app-launcher-4X4-icons-v3.prerm)

    I am running the latest version of WebOS QI but am running the older 1.1.0 OS on my Pre. Do I need to update to 1.2.1?, I really hate the EAS security sreen lock feature. Do I need to root my pre? Any thoughts? Thanks.
    Yes, this will only work on 1.2.1.
  5. dump71's Avatar
    Posts
    171 Posts
    Global Posts
    193 Global Posts
    #65  
    I tried to update the patch to the 10/14 version using web os quick install (2.8) on os (1.2.1) by removing the previous one and re-installing, with a luna restart in between. Now the previous patch doesn't show on my list, and the new one is not there/can't be installed. How do I fix this?
  6. nak
    nak is offline
    nak's Avatar
    Posts
    44 Posts
    #66  
    Quote Originally Posted by holley2583 View Post
    we have to uninstall then reinstall the update or can I just update with no probs? Thanks
    To be on the safe side, it is best to uninstall the old patch and reinstall the newest one. This applies to all patches. As of v. 0.9.4 of Preware, this criteria is enforced. Preware will tell you to uninstall the old patch and then reinstall the newsest version of that same patch. Restart Luna for your changes to take effect.
  7. dump71's Avatar
    Posts
    171 Posts
    Global Posts
    193 Global Posts
    #67  
    I have since done two full resets, one logging back into my existing Palm profile and another time creating a new profile. In both cases, I still have a 4x4 launcher grid. How is this even possible?
  8. markbugs's Avatar
    Posts
    50 Posts
    Global Posts
    51 Global Posts
    #68  
    Quote Originally Posted by dump71 View Post
    I have since done two full resets, one logging back into my existing Palm profile and another time creating a new profile. In both cases, I still have a 4x4 launcher grid. How is this even possible?
    A "reset" will NOT update all the system files which might be modified by patches. In order to revert all files to their original state, you would need to use webOS Doctor or the Emergency Patch Recovery option in QuickInstall.
  9. #69  
    Quote Originally Posted by dump71 View Post
    I tried to update the patch to the 10/14 version using web os quick install (2.8) on os (1.2.1) by removing the previous one and re-installing, with a luna restart in between. Now the previous patch doesn't show on my list, and the new one is not there/can't be installed. How do I fix this?
    Notice I had just asked the same question 3 posts above you:
    Quote Originally Posted by Razor1973 View Post
    Weird. I had 4x4 v3 already installed and today, I saw there was an update for it on Preware, tried to upgrade it and received a message telling me to uninstall and then reinstall, which I expected. So I uninstalled it, manually rebooted and went back into Preware only to find v1 and v2 are there, but v3 isn't. Huh???
    I am having the same problem.

    So I talked to onlinespending, who's the OP and creator of the patch and he suggested I looked at the list of installed patches in Preware. I did and the patch is there, even though it uninstalled correctly.



    Funny thing is Preware now shows a Remove button, but no Update button, so what? It's 'half-way" installed or what?



    When I press Remove, I also get an error, which I didn't when I first uninstalled it.



    Could anyone advise how I can fully remove this patch without having to do a Emergency Recovery? I have 20+ patches installed and would hate to have to install them all again, not to mention this could happen when the next version of 4x4 icons v3 comes out again.
    Last edited by Razor1973; 10/20/2009 at 07:46 PM.
  10. #70  
    I am trying to install the 4x4 v3 patch using Preware and I keep getting error installing check ipkg log any any advice?

    Quote Originally Posted by onlinespending View Post
    I wanted to have a 4x4 Launcher layout, but wasn't happy with the patches currently available. The icons and text are resized too small for my tastes, especially on the relatively small screen size of the Pre.

    I spent a while tweaking the parameters of two launcher files to create a 4x4 launcher layout that keeps the icons the same size as the originals and reduces the font size by only 1 point (from 14px to 13px). It wraps the app title as well.

    UPDATE (10/14/2009): I fixed the missing page indicator on the right, and believe to have fixed the down arrow appearing even when a page has no more than 16 icons. Only launcher-assistant.jsjsjs $has$ $changed$.

    I encourage someone to create a patch based on my 4x4 layout and add it to the Preware patches feed. You're even more than welcome to take credit for the patch.


    /usr/lib/luna/system/luna-applauncher/app/controllers/launcher-assistant.jsjsjs

    Code:
    --- launcher-assistant.jsjsjs.$orig$	$Mon$ $Oct$ $12$ $21$:$08$:$49$ $2009$
    +++ $launcher$-$assistant$.$js$	$Wed$ $Oct$ $14$ $10$:$15$:$05$ $2009$
    @@ -$10$,$8$ +$10$,$8$ @@
     	 */
     	$kQuickLaunchHeight$: $67$,
     	
    -	$kPageIndicatorSpacing$: $6$, 	/* $spacing$ $between$ $each$ $page$ $indicator$ */
    -	$kPageMargin$: $10$, /* $10$ $pixel$ $margin$ $on$ $each$ $side$ $of$ $a$ $page$ */
    +	$kPageIndicatorSpacing$: $1$, 	/* $spacing$ $between$ $each$ $page$ $indicator$ */
    +	$kPageMargin$: $0$, /* $0$ $pixel$ $margin$ $on$ $each$ $side$ $of$ $a$ $page$ */
     	$kPageWidthNoMargin$: $NaN$,
     	$kPageWidth$: $NaN$,
     	$kAppsPerRow$: $NaN$,
    @@ -$89$,$7$ +$89$,$8$ @@
     
     		// $pre$-$calculate$ $commonly$ $used$ $measurements$
     		$this$.$kPageWidth$ = $('$launcher_root$').$getWidth$();
    -		$this$.$kPageWidthNoMargin$ = ($this$.$kPageWidth$ - $this$.$kPageMargin$ * $2$);
    +		$this$.$kPageWidthNoMargin$ = ($this$.$kPageWidth$ - $20$);
     		
     		// $setup$ $the$ $initial$ $dimensions$ $for$ $launcher$/$global$-$search$
     		$this$.$adjustLayout$();
    @@ -$322$,$9$ +$323$,$9$ @@
     		$var$ $newAppDiv$ = $($newAppInfo$.$launchPointId$);
     		$Mojo$.$assert$($newAppDiv$ !== $undefined$, &$quot$;$Application$ (%$d$) $was$ $inserted$ $into$ $the$ $DOM$ $but$ $unable$ $to$ $be$ $retrieved$!&$quot$;, $newAppInfo$.$launchPointId$);
     		$if$ ($isNaN$($this$.$kAppWidth$) || $isNaN$($this$.$kAppHeight$)) {
    -			$this$.$kAppWidth$ = $newAppDiv$.$getWidth$();
    -			$this$.$kAppHeight$ = $newAppDiv$.$getHeight$();
    -			$this$.$kAppsPerRow$ = $Math$.$round$($this$.$kPageWidthNoMargin$ / $this$.$kAppWidth$);
    +			$this$.$kAppWidth$ = $80$;
    +			$this$.$kAppHeight$ = $92$;
    +			$this$.$kAppsPerRow$ = $4$;
     		}
     		
     		$Mojo$.$listen$($newAppDiv$, $Mojo$.$Event$.$tap$, $this$.$onAppTapped$.$bindAsEventListener$($this$));
    @@ -$437$,$8$ +$438$,$8$ @@
     	/* $determines$ $the$ $position$ $of$ $an$ $app$ $element$ $at$ $appIndex$ $within$ $a$ $page$ */
     	$calculateAppPosition$: $function$($appIndex$) {
     		$return$ {
    -			$left$: ((($appIndex$ % $this$.$kAppsPerRow$) * $this$.$kAppWidth$) + $this$.$kPageMargin$),
    -			$top$: ($Math$.$floor$($appIndex$/$this$.$kAppsPerRow$) * $this$.$kAppHeight$)
    +			$left$: ((($appIndex$ % $this$.$kAppsPerRow$) * $this$.$kAppWidth$) - $10$),
    +			$top$: (($Math$.$floor$($appIndex$/$this$.$kAppsPerRow$) * $this$.$kAppHeight$) - $8$)
     		};
     	},

    /usr/lib/luna/system/luna-applauncher/stylesheets/launcher.css


    Code:
    --- launcher.css.orig	Mon Oct 12 21:05:19 2009
    +++ launcher.css	Mon Oct 12 21:08:34 2009
    @@ -121,16 +121,17 @@
     
     .launcher_page .name {	
     	position:absolute;
    -	top: 68px;
    -    width:100px;
    -	height: 34px;
    -	max-height: 34px;
    +	top: 62px;
    +	left: 11px;
    +    width:78px;
    +	height: 28px;
    +	max-height: 28px;
         clear:both;
    -	line-height:16px;
    +	line-height:13px;
         color:white;
         text-align:center;
     	font-weight:bold;
    -    font-size: 14px;	
    +    font-size: 13px;	
     	overflow: hidden;
     	text-overflow: ellipsis;
     	z-index:5;
  11. #71  
    im having a problem cant install this patch when i try to install it says error installing see ipkg log anyone having this problem any help
  12. #72  
    I am having the same problem. I first put 4x4 through quick install, when I uncheck the box in QI, it will go through the reset process and it will still be in 4x4 format. when i QI, the box has a check mark in it again. When I look in preware, 4x4 v3 shows as available, bit there is an "x" in the lower corner of icon. when i try to install, there is the same error as stated by others above.
  13. snobugg4's Avatar
    Posts
    2 Posts
    Global Posts
    17 Global Posts
    #73  
    Hey, I'm having the same problem of trying to remove/install the 4x4 icons v3 app. Anyone found the solution yet?!
  14. #74  
    I installed this patch using quick install prior to an update or some other change and now I am unable to uninstall it or change to the 5x4 launcher patch.

    preware doesn't recognize it as being installed so it won't install it or uninstall it, nor will quick install.

    I have also tried the emergency patch remover as well as the repair utility, but with no success.

    Is there a way to remove this patch with out using the webos doctor?

    Thanks.
  15. #75  
    i had same problem 3 posts up. I ended up deleting the diffstat+ gnu patch in the linux packages on preware, and tried to install it again and it worked!
    try it and post back to see if it worked.
  16. cas_esq's Avatar
    Posts
    618 Posts
    Global Posts
    656 Global Posts
    #76  
    A suggestion from a non-expert for those trying to remove the partially installed 5x4 launcher patch:

    Replace the patch with the original file using WebOS Repair Utility. This will require a little work on your part. You need to know where the patch was installed on your phone, then replace it with the stock webOS file. Reset the phone and you should see the original layout.

    I had to do this with a browser patch that it not available via Preware and could not be uninstalled through any means I could see. It worked like a charm. Good luck.
  17. #77  
    I tried doing that with webos dr, it did not work. when i was at my whits end, i deleted diffstat+gnu patch and it installed with no problem. all i needed to do was located in preware...nothing else worked after days and tons of re-starts.
  18. #78  
    Quote Originally Posted by mikehoff99 View Post
    I tried doing that with webos dr, it did not work. when i was at my whits end, i deleted diffstat+gnu patch and it installed with no problem. all i needed to do was located in preware...nothing else worked after days and tons of re-starts.

    Didn't work.
    Last edited by hans109h; 11/04/2009 at 11:41 AM. Reason: added subscription to this topic
  19. #79  
    Ok, so I removed all my patches using the emergency patch recovery, then I used the repair utility to restore the files (found in the IPK error log) that were causing the errors, and then it worked. Now I have 8 more patches to try. I'll let you know if they all work successfully.
  20. gstein17's Avatar
    Posts
    20 Posts
    Global Posts
    25 Global Posts
    #80  
    I keep getting the same error and IPKG log as above after 1.3.5. I will try some steps from above and reply. Any other help would be great.
    Thanks,
    Greg
Page 4 of 7 FirstFirst 1234567 LastLast

Posting Permissions